<section class="p-0" style="    margin-top: 22px;">
    <form action="" [formGroup]="registerForm" (ngSubmit)="onSubmit()">
        <div data-aos="zoom-in" data-aos-delay="150" class="container contenedor-responsive">
            <div class="row section-title justify-content-center text-center">
                <div class="col-md-9 col-lg-8 col-xl-7">
                    <h3 class="display-7" style="margin-bottom:50px !important;">Ingrese una contraseña</h3>
                    <div class="lead">
                        <input type="password" formControlName="password" class="form-control" [ngClass]="{ 'is-invalid': submitted && f.password.errors }">
                        <div *ngIf="submitted && f.password.errors" class="invalid-feedback">
                            <div *ngIf="f.password.errors.required">{{passwordMessage}}</div>
                        </div>
                    </div>
                </div>
                <div class="col-md-9 col-lg-8 col-xl-7" style="    margin-top: 25px;">
                    <label class="">{{passwordMessage}}</label>
                    <ngb-progressbar [type]="progressType" height="0.5rem" [value]="passwordStatus" [striped]="true">
                    </ngb-progressbar>
                </div>
            </div>

            <div class="mr-2 mb-2" style="display: flex;
        justify-content: center;">
                <button type="submit" class="btn btn-primary">
                    <div class="d-flex align-items-center">
                        <span>Siguiente</span>
                        <svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" class="injected-svg icon bg-white" data-src="assets/img/icons/interface/icon-arrow-right.svg" xmlns:xlink="http://www.w3.org/1999/xlink">
                            <path d="M12 5L19 12L12 19M5 12H18H5Z" stroke="#2C3038" stroke-width="2" stroke-linecap="round" stroke-linejoin="round"></path>
                        </svg>
                    </div>
                </button>
            </div>
        </div>
    </form>
    <div class="footer-curve">
        <div style="height: 6.8vw !important;" class="divider divider-bottom bg-primary-3 mt-0"></div>
        <div style="background: #192d35; height: 3.45rem;"></div>
    </div>
</section>